<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <title>Document</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-dark">
        <div class="container">
            <ul class="nav navbar-nav">
                <li><a class="navbar-brand" href="#">Brand</a></li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'admin:index' %}">Admin</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'basic_app:index' %}">Index</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'basic_app:register' %}">Register</a>
                </li>
                {% if user.is_authenticated %}
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'user_logout' %}">Logout</a>
                </li> 
                {%else%}
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'basic_app:user_login' %}">Login</a>
                </li> 
                {%endif%}        
            </ul>
        </div>
    </nav>
    <div class="container">
        {% block body_block %}
        {% endblock %}
    </div>
</body>
</html>